Skip to main content
GET
Consumptions [deprecated]

Path Parameters

site-id
string
required

The site identifier

Query Parameters

beginTs
string<date-time>
required

The starting timestamp to calculate the consumption from. Accepted format:

  • YYYY-MM-DDThh:mm:ss
  • YYYY-MM-DDThh:mm:ssZ
  • YYYY-MM-DDThh:mm:ss+XX:XX
endTs
string<date-time>
required

The ending timestamp (excluded) until which to calculate the consumption. Accepted format:

  • YYYY-MM-DDThh:mm:ss
  • YYYY-MM-DDThh:mm:ssZ
  • YYYY-MM-DDThh:mm:ss+XX:XX
stepUnit
enum<string>

Step unit in which consumption will be returned. If not provided, the step used will be the whole period.

Available options:
YEARS,
MONTHS,
DAYS,
HOURS,
MINUTES
stepValue
integer<int64>
default:1

Step value in which consumption will be returned.

For example, if the stepUnit is MONTHS and the stepValue is 2, the consumption will be returned in a step of 2 months.

indexCategories
enum<string>[]

Index categories that may be used for the consumption calculation.

Available options:
RTM,
SUPPLIER,
SMART_METER,
LEGACY_METER,
SENSOR,
STEREO,
SELF_METER_READING,
ESTIMATED
withEstimated
enum<string>
default:SURROUNDING_ESTIMATED

Index strategy to filter estimated indexes.

NO_ESTIMATED: No estimated indexes will be used for the consumption calculation.

ALL_ESTIMATED: All estimated indexes may be used for the consumption calculation.

SURROUNDING_ESTIMATED: Estimated indexes may be used to complete beginning or end consumption period, if the site misses non-estimated indexes at the beginning and/or end of the period.

Available options:
NO_ESTIMATED,
ALL_ESTIMATED,
SURROUNDING_ESTIMATED
sources
enum<string>[]

Data sources that may be used for the consumption calculation.

Available options:
INTRADAY,
SMART_METER,
LEGACY_INDEX,
LOAD_CURVE,
SENSOR
withLoadCurveCompletion
boolean
default:true

If set to true, load curve information may be used to complete beginning or end consumption period, if the site misses non-estimated indexes at the beginning and/or end of the period.

filters
enum<string>[]

withoutCost: If selected, the consumption cost will not be returned.

withGlobalConsumption: If selected, the global consumption on the requested period will be added to the response. This parameter is limited to a period of maximum one year.

withCarbonFootprint: If selected, the carbon footprint associated to the consumption will be returned.

withRatioByTariffHeading: If selected, the consumption ratios by tariff heading and by tariff heading group will be returned.

Available options:
withoutCost,
withCarbonFootprint,
withGlobalConsumption,
withRatioByTariffHeading

Response

OK - return computed Consumptions for site-id

period
object
required

The requested period.

step
string<ISO-8601>
required

The step in which the consumption is returned.

units
object
required
consumptions
object[]
required
computationPeriod
object

Is returned only if the period over which the consumption is actually calculated does not correspond to the requested period (incomplete consumption).

globalConsumption
object

Information on the global consumption on the requested period. Is returned if withGlobalConsumption filter is selected in the request.